XmetaXtool: Steuerung und Integration | Option GLXplus: GLX-Tunnel für OpenGL XmetaXtool: Konfiguration mit grafischer Benutzeroberfläche

# XmetaXtool: Steuerung und Integration

Die Kommandozeilen-Betriebsart des xmetaxtool-Programms ermöglicht es, eine Konfigurationsänderung, die zur Laufzeit stattfinden soll, über ein Skript zu steuern und dieses zum Beispiel einer Aktion des Windowmanagers zuzuordnen.

Beim Aufruf ist die Client-Verbindung des zu konfigurierenden XmetaX-Proxys (X Window Client-Verbindung) anzugeben, sofern die Umgebungsvariable $DISPLAY nicht entsprechend gesetzt ist:

    /opt/XSOXmetaX/bin/xmetaxtool -noGui [-display Display-Bezeichnung] \
        Konfigurationsanweisung...

Die auf der Kommandozeile angegebenen Konfigurationsanweisungen (Konfiguration des XmetaX-Proxys) wirken zusätzlich zur bestehenden Konfiguration. Dennoch kann mittels der Sub-Anweisung delete ein Screen aus der Konfiguration entfernt werden (Screen).

## Ausgabe einer Konfiguration

Das folgende Kommando gibt die Konfiguration eines XmetaX-Proxys in Form von Konfigurationsanweisungen (Konfiguration des XmetaX-Proxys) auf dem Standard-Ausgabe-Strom aus:

    /opt/XSOXmetaX/bin/xmetaxtool [-display Display-Bezeichnung] \
        -print [Argument...][verbose]

Die zusätzlichen Argumente bestimmen, welche Art von Information ausgegeben werden soll:

all bewirkt die Ausgabe der gesamten Konfiguration.

metaScreens gibt nur die Meta-Screen-Anweisungen aus.

metaScreen Name gibt die Konfiguration eines Meta-Screens aus.

screens gibt nur die Screen-Anweisungen aus.

screen Name gibt die Konfiguration eines Screens aus.

misc bewirkt die Ausgabe aller Konfigurationsparameter, die sich nicht auf Meta-Screens oder Screens beziehen.

Dabei werden meist nur die Konfigurationsanweisungen ausgegeben, die von der Voreinstellung abweichen, sofern nicht das zusätzliche Argument verbose angegeben ist.

## Berichten von Konfigurationsänderungen

Das folgende Kommando gibt für jede Änderung der Konfiguration eines XmetaX-Proxys eine Zeile auf dem Standard-Ausgabe-Strom aus:

    /opt/XSOXmetaX/bin/xmetaxtool [-display Display-Bezeichnung] \
        -events

Die Ausgabezeile folgen dem Format:

    metaScreen|screen Name changed|created|destroyed

So kann in Verbindung mit der Option Failsafe (Ausfallsicherheit) sofort auf den Ausfall eines X Window Servers reagiert werden.

## Beenden des XmetaX-Proxys

Das folgende Kommando läßt den entsprechenden XmetaX-Proxy sich beenden:

    /opt/XSOXmetaX/bin/xmetaxtool [-display Display-Bezeichnung] \
        -terminate

Dies kann zum Beispiel zum automatischen Neustart der X Window Umgebung nach einer Konfigurationsänderung verwendet werden.

Nach oben
Option GLXplus: GLX-Tunnel für OpenGL
XmetaXtool: Konfiguration mit grafischer Benutzeroberfläche

Copyright © 2021 X-Software GmbH
info@x-software.com